<?php

namespace FluentForm\App\Services\FormBuilder\Components;

class SubmitButton extends BaseComponent
{
	/**
	 * Compile and echo the html element
	 * @param  array $data [element data]
	 * @param  stdClass $form [Form Object]
	 * @return viod
	 */
	public function compile($data, $form)
	{
		$btnSize = 'ff-btn-';
		$color = isset($data['settings']['color']) ? $data['settings']['color'] : '#ffffff';
		$btnSize .= isset($data['settings']['button_size']) ? $data['settings']['button_size'] : 'md';
		$backgroundColor = isset($data['settings']['background_color']) ? $data['settings']['background_color'] : '#409EFF';
		$oldBtnType = isset($data['settings']['button_style']) ? '' : ' ff-btn-primary ';

        $align = 'ff-el-group ff-text-'. @$data['settings']['align'];
        $data['attributes']['class'] = trim(
			'ff-btn ff-btn-submit ' .' '.
			$oldBtnType .' '.
			$btnSize .' '.
            $data['attributes']['class']
        );
		$atts = $this->buildAttributes($data['attributes']);
		$cls = trim($align.' '.$data['settings']['container_class']);
		
		$inline_styles = "style='background-color: $backgroundColor; color: $color;'";

		echo "<div class='{$cls}'>";

		// ADDED IN v1.2.6 - updated in 1.4.4
		if (isset($data['settings']['button_ui'])) {
            if ($data['settings']['button_ui']['type'] == 'default') {
				echo '<button '.$atts. $inline_styles.'>
						'.$data['settings']['button_ui']['text']
                    .'</button>';
            } else {
                echo "<button class='ff-btn-submit' type='submit'><img style='max-width: 200px;' src='{$data['settings']['button_ui']['img_url']}' alt='Submit Form'></button>";
            }
        } else {
            echo '<button '.$atts . $inline_styles.'>'.$data['settings']['btn_text'].'</button>';
        }

		echo '</div>';
	}
}
