<?php

namespace FluentForm\App\Services\FormBuilder\Components;

class TermsAndConditions extends BaseComponent
{
	/**
	 * Compile and echo the html element
	 * @param  array $data [element data]
	 * @param  stdClass $form [Form Object]
	 * @return viod
	 */
	public function compile($data, $form)
	{
		$hasConditions = $this->hasConditions($data) ? 'has-conditions' : '';

		$cls = trim(
			$this->getDefaultContainerClass()
			.' '. @$data['settings']['container_class']
			.' '. $hasConditions
		);

		$uniqueId = $this->getUniqueId($data['attributes']['name']);
		
		$data['attributes']['id'] = $uniqueId;
		$data['attributes']['class'] = trim(
		    'ff-el-form-check-input ' .
            $data['attributes']['class']
        );

		$atts = $this->buildAttributes($data['attributes']);
		$checkbox = '';
		if ( $data['settings']['has_checkbox'] ) {
			$checkbox = "<input {$atts} value='on'>";
		}
		
		echo "<div class='{$cls}'>";
		echo "<div class='ff-el-form-check'>";
		echo "<label class='ff-el-form-check-label' for={$uniqueId}>";
		echo "{$checkbox} {$data['settings']['tnc_html']}";
		echo "</label>";
		echo "</div>";
		echo "</div>";
	}
}
