<?php

namespace FluentForm\App\Services\FormBuilder\Components;

class Text extends BaseComponent
{
	/**
	 * Compile and echo the html element
	 * @param  array $data [element data]
	 * @param  stdClass $form [Form Object]
	 * @return viod
	 */
	public function compile($data, $form)
	{
		// <mask input>
		// Enqueue script for mask input
		if ($data['element'] == 'input_text') {
			$this->enqueueStyleAndScripts();
		}

		if ( isset($data['settings']['temp_mask']) && $data['settings']['temp_mask'] != 'custom' ) {
			$data['attributes']['data-mask'] = $data['settings']['temp_mask'];
		}
		// </mask input>

		// For hidden input
		if ($data['attributes']['type'] == 'hidden') {
			echo "<input ".$this->buildAttributes($data['attributes'], $form).">";
			return;
		}

        $data['attributes']['class'] = @trim('ff-el-form-control '. $data['attributes']['class']);
        $data['attributes']['id'] = $this->makeElementId($data, $form);

		$elMarkup = "<input %s>";
		
        $elMarkup = sprintf($elMarkup, $this->buildAttributes($data['attributes'], $form));

		echo $this->buildElementMarkup($elMarkup, $data, $form);
	}

	/**
	 * Enqueue style and script for datetime element
	 * @return void
	 */
	protected function enqueueStyleAndScripts()
	{
		// Script
		wp_enqueue_script(
			'jquery-mask',
			$this->app->publicUrl('libs/jquery.mask.min.js'),
			array('jquery'),
			false,
			true
		);
	}
}
