<?php

namespace FluentForm\App\Services\FormBuilder\Components;

class TextArea extends BaseComponent
{
    /**
     * Compile and echo the html element
     * @param  array     $data [element data]
     * @param  \stdClass $form [Form Object]
     * @return void
     */
    public function compile($data, $form)
    {
        $textareaValue = $this->extractValueFromAttributes($data);

        $data['attributes']['class'] = trim('ff-el-form-control '.$data['attributes']['class']);
        $data['attributes']['id'] = $this->makeElementId($data, $form);

        $elMarkup = '<textarea %s>%s</textarea>';

        $elMarkup = sprintf(
            $elMarkup,
            $this->buildAttributes($data['attributes']),
            $textareaValue
        );

        echo $this->buildElementMarkup($elMarkup, $data, $form);
    }
}
