<div class="ff-add-ons-wrapper">

	<?php if ( $addOns ): ?>
        <h1>Fluent Form Add-Ons</h1>
        <p>The following are available add-ons to extend Fluent Form functionality.</p>

		<?php if($special_notice_top): ?>
            <div class="special_notice_top">
				<?php echo wp_kses_post($special_notice_top); ?>
            </div>
		<?php endif; ?>
    
		<?php foreach ( array_chunk( $addOns, 3 ) as $addOnChunk ) : ?>
            <div class="ff-add-ons">
				<?php foreach ( $addOnChunk as $addOn ) : ?>
                <?php $isFeatured = !empty($addOn['is_featured']); ?>
                    <div class="ff-add-on <?php echo ($isFeatured) ? 'ff-featured-addon' : ''; ?>">
                        <div class="ff-add-on-box text-center">
                            <div class="ff-plugin_info">
                                <img src="<?php echo esc_url($addOn['thumb']); ?>">
                                <h3><a target="_blank" href="<?php echo esc_url($addOn['purchase_url']); ?>"><?php echo esc_html($addOn['title']); ?></a></h3>
                                <p class='ff-add-on-description'><?php echo esc_html($addOn['subtitle']); ?></p>
                                <?php if ( is_plugin_active( $addOn['plugin'] ) ) : ?>
                                    <p class="ff-add-on-active">Active</p>
                                <?php else : ?>
                                    <a target="_blank" href="<?php echo esc_url($addOn['purchase_url']); ?>" class="button button-primary">Purchase Now</a>
                                <?php endif; ?>
                            </div>
                            <?php if($isFeatured && isset($addOn['featured_html'])): ?>
                                <div class="ff-featured_content">
                                    <?php echo wp_kses_post($addOn['featured_html']); ?>

                                </div>
                            <?php endif; ?>

                        </div>
                    </div>
				<?php endforeach; ?>
            </div>
		<?php endforeach; ?>
        
        <?php if($special_notice_bottom): ?>
            <div class="special_notice_bottom">
                <?php echo wp_kses_post($special_notice_bottom); ?>
            </div>
        <?php endif; ?>
	<?php else: ?>
        <p>Sorry No Add-ons found at this moment</p>
	<?php endif; ?>
</div>