<?php

namespace FluentForm\App\Modules\Form;

use FluentForm\App;
use FluentForm\Framework\Helpers\ArrayHelper;

class Predefined extends Form
{
    /**
     * all JSON data will be stored here
     * @return  array
     */
    private function getPredefinedForms()
    {
        return array(
            'blank_form'                 => array(
                'screenshot' => App::publicUrl('img/forms/new_blank.png'),
                'createable' => true,
                'title'      => 'Blank Form',
                'brief'      => '',
                'json'       => '[{"id":"132","title":"Blank Form","form":{"fields":[],"submitButton":{"uniqElKey":"el_1524065200616","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Form","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline"}},"notifications":{"name":"Admin Notification Email","sendTo":{"type":"email","email":"{wp.admin_email}","field":"email","routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"[{inputs.names}] New Form Submission","message":"<p>{all_data}<\/p>\n<p>This form submitted at: {embed_post.permalink}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'contact_form'               => array(
                'screenshot' => App::publicUrl('img/forms/contact_form.png'),
                'createable' => true,
                'title'      => 'Contact Form',
                'brief'      => 'A simple contact form for your site.',
                'json'       => '[{"id":"3","title":"Contact Form","form":{"fields":[{"index":2,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"","conditional_logics":[]},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"First Name field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1516797564818"},{"index":7,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":"you@domain.com"},"settings":{"container_class":"","label":"Email","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"Email field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1516797583697"},{"index":2,"element":"textarea","attributes":{"name":"message","value":"","id":"","class":"","placeholder":"Type your message here...","rows":4,"cols":2},"settings":{"container_class":"","label":"Message","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"Message field is required"}},"conditional_logics":[]},"editor_options":{"title":"Textarea","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1516797589062"}],"submitButton":{"uniqElKey":"el_1524065200616","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Form","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline"}},"notifications":{"name":"Admin Notification Email","sendTo":{"type":"email","email":"{wp.admin_email}","field":"email","routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"[{inputs.names}] New Form Submission","message":"<p>{all_data}<\/p>\n<p>This form submitted at: {embed_post.permalink}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'support_form'               => array(
                'screenshot' => App::publicUrl('img/forms/support_form.png'),
                'createable' => true,
                'title'      => 'Support Form',
                'brief'      => 'Using this support form users can ask questions.',
                'json'       => '[{"id":"4","title":"Support Form","form":{"fields":[{"index":2,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"","conditional_logics":[]},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"First Name field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1516797727681"},{"index":7,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":"you@domain.com"},"settings":{"container_class":"","label":"Email","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"Email field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1516797731343"},{"index":3,"element":"select","attributes":{"name":"department","value":"","id":"","class":""},"settings":{"label":"Department","help_message":"","container_class":"","label_placement":"","placeholder":"- Select Department -","validation_rules":{"required":{"value":true,"message":"Department field is required"}},"conditional_logics":[]},"options":{"Web Design":"Web Design","Web Development":"Web Development","WordPress Development":"WordPress Development","DevOps":"DevOps"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1516797735245"},{"index":1,"element":"input_text","attributes":{"type":"text","name":"subject","value":"","class":"","placeholder":"Type your subject"},"settings":{"container_class":"","label":"Subject","label_placement":"","admin_field_label":"","help_message":"","validation_rules":{"required":{"value":true,"message":"Subject field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Input","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1516797770161"},{"index":2,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Description","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Textarea","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1516797774136"}],"submitButton":{"uniqElKey":"el_1524065200616","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Form","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline"}},"notifications":{"name":"Support Form Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"{inputs.subject}, Support Form","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'event_registration_form'    => array(
                'screenshot' => App::publicUrl('img/forms/registration_form.png'),
                'createable' => true,
                'title'      => 'Event Registration Form',
                'brief'      => 'Using this registration form you can enable your event to achieve it\'s goal.',
                'json'       => '[{"id":"1","title":"Event Registration Form","form":{"fields":[{"index":2,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"","conditional_logics":[]},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"First Name field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1516797727681"},{"index":7,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":"you@domain.com"},"settings":{"container_class":"","label":"Email","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"Email field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1516797731343"},{"index":14,"element":"input_number","attributes":{"type":"number","name":"phone","value":"","id":"","class":"","placeholder":"Your phone number"},"settings":{"container_class":"","label":"Phone","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"Phone field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":[]},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1516798280530"},{"index":1,"element":"input_text","attributes":{"type":"text","name":"company","value":"","class":"","placeholder":"Type your company name"},"settings":{"container_class":"","label":"Company","label_placement":"","admin_field_label":"","help_message":"","validation_rules":{"required":{"value":false,"message":"Company field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Input","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1516797770161"},{"index":8,"element":"input_url","attributes":{"type":"url","name":"url","value":"","id":"","class":"","placeholder":"http:\/\/www.google.com"},"settings":{"container_class":"","label":"Website","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"Website field is required"},"url":{"value":true,"message":"This field must contain a valid url"}},"conditional_logics":[]},"editor_options":{"title":"URL","icon_class":"icon-link","template":"inputText"},"uniqElKey":"el_1516798321477"},{"index":2,"element":"textarea","attributes":{"name":"message","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Message (if any)","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Textarea","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1516797774136"}],"submitButton":{"uniqElKey":"el_1524065200616","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Form","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline"},"id":"29"},"notifications":{"name":"Event Registration Form Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Event Registration Form submitted","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'vendor_contact_form'        => array(
                'screenshot' => App::publicUrl('img/forms/vendor_contact_orm.png'),
                'createable' => true,
                'title'      => 'Vendor Contact Form',
                'brief'      => 'Easily create a vendor contact form and get looged in user details easily.',
                'json'       => '[{"id":"2","title":"Vendor Contact Form","form":{"fields":[{"index":0,"element":"input_hidden","attributes":{"type":"hidden","name":"hidden","value":"{user.first_name} {user.last_name}"},"settings":{"admin_field_label":"Seller Name"},"editor_options":{"title":"Hidden Field","icon_class":"icon-eye-slash","template":"inputHidden"},"uniqElKey":"el_1559107765827"},{"index":0,"element":"input_hidden","attributes":{"type":"hidden","name":"hidden_1","value":"{user.user_email}"},"settings":{"admin_field_label":"Seller mail"},"editor_options":{"title":"Hidden Field","icon_class":"icon-eye-slash","template":"inputHidden"},"uniqElKey":"el_1559106971216"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Subject","label_placement":"","admin_field_label":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559107049204"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Message","admin_field_label":"","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559107086831"}],"submitButton":{"uniqElKey":"el_1559106893440","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Form","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Vendor Contact Form Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"{inputs.input_text}","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'patient_intake_form'        => array(
                'screenshot' => App::publicUrl('img/forms/patient_intake_form.png'),
                'createable' => true,
                'title'      => 'Patient Intake Form',
                'brief'      => 'Using this form you can get the patient information with the medical history.',
                'json'       => '[{"id":"6","title":"Patient Intake Form","form":{"fields":[{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Patient Name","conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559109481426"},{"index":6,"element":"input_number","attributes":{"type":"number","name":"numeric-field","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Patient Age","admin_field_label":"Patient Age","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":[]},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1559109564397"},{"index":0,"element":"input_name","attributes":{"name":"names_1","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Prefered Name \/ Nickname","conditional_logics":[]},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Prefered Name \/ Nickname","help_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559109792382"},{"index":7,"element":"select","attributes":{"name":"dropdown","value":"","id":"","class":""},"settings":{"label":"Patient Gender","admin_field_label":"","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Male":"Male","Female":"Female","Others":"Others"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559109642614"},{"index":6,"element":"input_number","attributes":{"type":"number","name":"numeric-field_1","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Phone no.","admin_field_label":"Phone no.","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":[]},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1559274675098"},{"index":0,"element":"input_name","attributes":{"name":"names_2","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Spouce Name","conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Spouce Name","help_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559109681450"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"With whome do you live?","label_placement":"","admin_field_label":"With whome do you live?","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559274086054"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio","value":""},"settings":{"container_class":"","label":"Marital Status","admin_field_label":"Marital Status","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Married":"Married","Unmarried":"Unmarried","other":"other"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559274134558"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_1","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Marital status(other)","label_placement":"","admin_field_label":"Marital status(other)","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":{"type":"any","status":true,"conditions":[{"field":"input_radio","value":"other","operator":"="}]}},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559274183772"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_2","value":"","class":"","placeholder":"If retired or disabled enter your last occupation"},"settings":{"container_class":"","label":"Occupation","label_placement":"","admin_field_label":"Occupation","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559274252192"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio_1","value":""},"settings":{"container_class":"","label":"Retired? ","admin_field_label":"Retired? ","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"yes":"Yes","no":"No"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559274467432"},{"index":13,"element":"input_date","attributes":{"type":"text","name":"datetime","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Date of retirement","admin_field_label":"Date of retirement","label_placement":"","date_format":"m\/d\/y","help_message":"","is_time_enabled":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":{"type":"any","status":true,"conditions":[{"field":"input_radio_1","value":"yes","operator":"="}]}},"editor_options":{"title":"Time & Date","icon_class":"icon-calendar-o","template":"inputText"},"uniqElKey":"el_1559274499317"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio_2","value":""},"settings":{"container_class":"","label":"Disability ?","admin_field_label":"Disability ?","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"yes":"Yes","no":"No"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559274553377"},{"index":13,"element":"input_date","attributes":{"type":"text","name":"datetime_1","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Date of disability","admin_field_label":"Date of disability","label_placement":"","date_format":"m\/d\/y","help_message":"","is_time_enabled":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":{"type":"any","status":true,"conditions":[{"field":"input_radio_2","value":"yes","operator":"="}]}},"editor_options":{"title":"Time & Date","icon_class":"icon-calendar-o","template":"inputText"},"uniqElKey":"el_1559274530031"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_3","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Who is your primary care doctor: ","label_placement":"","admin_field_label":"Who is your primary care doctor: ","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559274621989"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_4","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Where is your primary care doctor located ? ","label_placement":"","admin_field_label":"Where is your primary care doctor located ? ","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559274635900"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_5","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Phone Number of primary care doctor:","label_placement":"","admin_field_label":"Phone Number of primary care doctor:","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559274697189"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio_3","value":""},"settings":{"container_class":"","label":"allergic to any medications","admin_field_label":"allergic to any medications","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"options":{"yes":"Yes","no":"No"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559274799405"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_6","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"allergic to any medications","label_placement":"","admin_field_label":"allergic to any medications","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":{"type":"any","status":true,"conditions":[{"field":"input_radio_3","value":"yes","operator":"="}]}},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559274743792"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio_4","value":""},"settings":{"container_class":"","label":"Do you smoke? ","admin_field_label":"Do you smoke? ","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"options":{"yes":"Yes","no":"No"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559274844179"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_7","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"How many years did you smoke?","label_placement":"","admin_field_label":"How many years did you smoke?","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":{"type":"any","status":true,"conditions":[{"field":"input_radio_4","value":"yes","operator":"="}]}},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559274869218"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_8","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"If you quit, when did you stop?","label_placement":"","admin_field_label":"If you quit, when did you stop?","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559274922518"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_9","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Do you drink alcohol? ","label_placement":"","admin_field_label":"Do you drink alcohol? ","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559274938140"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Personal opinion","admin_field_label":"Personal opinion","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559275053975"}],"submitButton":{"uniqElKey":"el_1559109464078","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Form","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Patient Intake Form Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Patient Intake Form Notification","message":"<p>{all_data}<\/p>\n<p>&nbsp;<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'volunteer_application_form' => array(
                'screenshot' => App::publicUrl('img/forms/volunteer_application.png'),
                'createable' => true,
                'title'      => 'Volunteer Application Form',
                'brief'      => 'Get volunteer applicants data according to their particular interests with working days.',
                'json'       => '[{"id":"7","title":"Volunteer Application","form":{"fields":[{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Name","conditional_logics":[]},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559110051637"},{"index":1,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Email","label_placement":"","help_message":"","admin_field_label":"Email","validation_rules":{"required":{"value":false,"message":"This field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email Address","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1559110054313"},{"index":6,"element":"input_number","attributes":{"type":"number","name":"numeric-field","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Contact No","admin_field_label":"Contact No","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":[]},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1559110059986"},{"index":4,"element":"address","attributes":{"id":"","class":"","name":"address1","data-type":"address-element"},"settings":{"label":"Address","admin_field_label":"","conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"fields":{"address_line_1":{"element":"input_text","attributes":{"type":"text","name":"address_line_1","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Address Line 1","admin_field_label":"","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"address_line_2":{"element":"input_text","attributes":{"type":"text","name":"address_line_2","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Address Line 2","admin_field_label":"","help_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"city":{"element":"input_text","attributes":{"type":"text","name":"city","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"City","admin_field_label":"","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"state":{"element":"input_text","attributes":{"type":"text","name":"state","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"State","admin_field_label":"","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"zip":{"element":"input_text","attributes":{"type":"text","name":"zip","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Zip Code","admin_field_label":"","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"country":{"element":"select_country","attributes":{"name":"country","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Country","admin_field_label":"","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"country_list":{"active_list":"all","visible_list":[],"hidden_list":[]},"conditional_logics":[]},"options":{"BD":"Bangladesh","US":"US of America"},"editor_options":{"title":"Country List","element":"country-list","icon_class":"icon-text-width","template":"selectCountry"}}},"editor_options":{"title":"Address Fields","element":"address-fields","icon_class":"icon-credit-card","template":"addressFields"},"uniqElKey":"el_1559110065995"},{"index":9,"element":"input_checkbox","attributes":{"type":"checkbox","name":"checkbox","value":[]},"settings":{"container_class":"","label":"Working Days","admin_field_label":"Working Days","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"options":{" Sunday":" Sunday","Satarday":"Satarday","Monday":"Monday","Tuesday":"Tuesday","Wednesday":"Wednesday","Thursday":"Thursday","Friday":"Friday"},"editor_options":{"title":"Check Box","icon_class":"icon-check-square-o","template":"inputCheckbox"},"uniqElKey":"el_1559186288251"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Area of Interest\/ skills","admin_field_label":"Area of Interest\/ skills","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559186858825"},{"index":3,"element":"textarea","attributes":{"name":"description_1","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Comments (optional)","admin_field_label":"Comments (optional)","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559186958391"}],"submitButton":{"uniqElKey":"el_1559110013898","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Application","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Volunteer Application Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Volunteer Application by {inputs.names}","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'request_for_quote'          => array(
                'screenshot' => App::publicUrl('img/forms/request_for_quote.png'),
                'createable' => true,
                'title'      => 'Request for Quote',
                'brief'      => 'Get user request for quote using this simple form.',
                'json'       => '[{"id":"9","title":"Request for Quote","form":{"fields":[{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Name","conditional_logics":[]},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559111679342"},{"index":6,"element":"input_number","attributes":{"type":"number","name":"numeric-field","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Phone no.","admin_field_label":"Phone no.","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":[]},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1559111693607"},{"index":1,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Email","label_placement":"","help_message":"","admin_field_label":"Email","validation_rules":{"required":{"value":true,"message":"This field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email Address","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1559111716176"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio","value":""},"settings":{"container_class":"","label":"Prefered Method of Contact","admin_field_label":"Prefered Method of Contact","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":{"type":"any","status":true,"conditions":[{"field":"","value":"","operator":""}]}},"options":{"Phone":"Phone","Email":"Email","other":"other"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559111739945"},{"index":4,"element":"address","attributes":{"id":"","class":"","name":"address1","data-type":"address-element"},"settings":{"label":"Address","admin_field_label":"","conditional_logics":{"type":"any","status":true,"conditions":[{"field":"input_radio","value":"other","operator":"="}]}},"fields":{"address_line_1":{"element":"input_text","attributes":{"type":"text","name":"address_line_1","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Address Line 1","admin_field_label":"","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"address_line_2":{"element":"input_text","attributes":{"type":"text","name":"address_line_2","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Address Line 2","admin_field_label":"","help_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"city":{"element":"input_text","attributes":{"type":"text","name":"city","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"City","admin_field_label":"","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"state":{"element":"input_text","attributes":{"type":"text","name":"state","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"State","admin_field_label":"","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"zip":{"element":"input_text","attributes":{"type":"text","name":"zip","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Zip Code","admin_field_label":"","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"country":{"element":"select_country","attributes":{"name":"country","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Country","admin_field_label":"","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"country_list":{"active_list":"all","visible_list":[],"hidden_list":[]},"conditional_logics":[]},"options":{"BD":"Bangladesh","US":"US of America"},"editor_options":{"title":"Country List","element":"country-list","icon_class":"icon-text-width","template":"selectCountry"}}},"editor_options":{"title":"Address Fields","element":"address-fields","icon_class":"icon-credit-card","template":"addressFields"},"uniqElKey":"el_1559111849017"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Comments","admin_field_label":"Comments","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559187328513"}],"submitButton":{"uniqElKey":"el_1559111649130","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Form","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Request for Quote Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Request for Quote","message":"<p>{all_data}<\/p>\n<p>Form Submitted successfully.<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'conference_proposal'        => array(
                'screenshot' => App::publicUrl('img/forms/conference_proposal.png'),
                'createable' => true,
                'title'      => 'Conference Proposal',
                'brief'      => 'This sample form is to make a conference proposal efficient and effective.',
                'json'       => '[{"id":"10","title":"Conference Proposal","form":{"fields":[{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Name","conditional_logics":[]},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559112198786"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Job Title","label_placement":"","admin_field_label":"Job Title","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559112216398"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_1","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Company Name","label_placement":"","admin_field_label":"Company Name","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559112231309"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Biography","admin_field_label":"Biography","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559112255236"},{"index":1,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Email","label_placement":"","help_message":"","admin_field_label":"Email","validation_rules":{"required":{"value":true,"message":"This field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email Address","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1559112265631"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_2","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Proposal Title","label_placement":"","admin_field_label":"Proposal Title","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559112290259"},{"index":3,"element":"textarea","attributes":{"name":"description_1","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Short Description","admin_field_label":"Short Description","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559112314875"},{"index":3,"element":"textarea","attributes":{"name":"description_2","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Abstract","admin_field_label":"Abstract","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559112331026"},{"index":9,"element":"input_checkbox","attributes":{"type":"checkbox","name":"checkbox","value":[]},"settings":{"container_class":"","label":"Topics","admin_field_label":"Topics","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"options":{"Topics 1":"Topics 1","Topics 2":"Topics 2","Topics 3":"Topics 3"},"editor_options":{"title":"Check Box","icon_class":"icon-check-square-o","template":"inputCheckbox"},"uniqElKey":"el_1559112363613"},{"index":7,"element":"select","attributes":{"name":"dropdown","value":"","id":"","class":""},"settings":{"label":"Session Type","admin_field_label":"","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Panel":"Panel","Work shop":"Work shop","Presentation":"Presentation","Other":"Other"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559112402526"},{"index":7,"element":"select","attributes":{"name":"dropdown_1","value":"","id":"","class":""},"settings":{"label":"Audience Level","admin_field_label":"Audience Level","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Novice":"Novice","Intermediate":"Intermediate","Expert":"Expert"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559112480834"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_3","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Video URL","label_placement":"","admin_field_label":"Video URL","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559112543915"},{"index":3,"element":"textarea","attributes":{"name":"description_3","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Additional Information","admin_field_label":"Additional Information","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559112578458"}],"submitButton":{"uniqElKey":"el_1559112181623","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"center","button_style":"green","container_class":"","help_message":"","background_color":"#67C23A","button_size":"lg","color":"#ffffff","button_ui":{"type":"default","text":"Submit Form Data","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Conference Proposal Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Conference Proposal","message":"<p>Your data submitted Successfully<\/p>\n<p>{all_data}<\/p>\n<p>&nbsp;<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'report_a_bug'               => array(
                'screenshot' => App::publicUrl('img/forms/report_a_bug.png'),
                'createable' => true,
                'title'      => 'Report a bug',
                'brief'      => 'You can get user feedback, bug repport, and the issue details from user.',
                'json'       => '[{"id":"11","title":"Report a bug","form":{"fields":[{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Full Name","conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Full Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559112858212"},{"index":1,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Enter Your Email Address ","label_placement":"","help_message":"","admin_field_label":"Email Address","validation_rules":{"required":{"value":true,"message":"This field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email Address","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1559112923651"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Title of the Issue","label_placement":"","admin_field_label":"Title of the Issue","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559112936885"},{"index":7,"element":"select","attributes":{"name":"dropdown","value":"","id":"","class":""},"settings":{"label":"Problem Status","admin_field_label":"Problem Status","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Open":"Open","Hold":"Hold","Fixed":"Fixed","Closed":"Closed","Invalid":"Invalid","Other":"Other"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559112981010"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Summary of the Information","admin_field_label":"Summary Information","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559113034559"},{"index":3,"element":"textarea","attributes":{"name":"description_1","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Steps to Reproduce","admin_field_label":"Steps to Reproduce","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559113051369"},{"index":3,"element":"textarea","attributes":{"name":"description_2","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Results","admin_field_label":"Results","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559113074493"},{"index":3,"element":"textarea","attributes":{"name":"description_3","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Regression","admin_field_label":"Regression","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559113093300"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio","value":""},"settings":{"container_class":"","label":"Is there a Workaround?","admin_field_label":"","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"options":{"yes":"Yes","no":"No"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559113134071"},{"index":3,"element":"textarea","attributes":{"name":"description_4","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Documentation & Notes","admin_field_label":"Documentation & Notes","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559113248045"},{"index":1,"element":"container","attributes":[],"settings":[],"columns":[{"fields":[{"index":3,"element":"custom_html","attributes":[],"settings":{"html_codes":"<p style=\"text-align: right\">Upload Your documents (if need)<\/p>","conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"editor_options":{"title":"Custom HTML","icon_class":"icon-code","template":"customHTML"},"uniqElKey":"el_1559187803664"}]},{"fields":[{"index":14,"element":"input_file","attributes":{"type":"file","name":"file-upload","value":"","id":"","class":""},"settings":{"container_class":"","label":"","admin_field_label":"Optional documents","label_placement":"right","btn_text":"Choose File","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"},"max_file_size":{"value":2097152,"_valueFrom":"MB","message":"Maximum file size limit"},"max_file_count":{"value":1,"message":"Max file count"},"allowed_file_types":{"value":["jpg|jpeg|gif|png|bmp","mp3|wav|ogg|wma|mka|m4a|ra|mid|midi","avi|divx|flv|mov|ogv|mkv|mp4|m4v|divx|mpg|mpeg|mpe|video\/quicktime|qt","pdf","doc|ppt|pps|xls|mdb|docx|xlsx|pptx|odt|odp|ods|odg|odc|odb|odf|rtf|txt","zip|gz|gzip|rar|7z","exe","csv"],"message":"allowed_file_types"}},"conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"editor_options":{"title":"File Upload","icon_class":"icon-upload","template":"inputFile"},"uniqElKey":"el_1559187757610"}]}],"editor_options":{"title":"Two Column Container","icon_class":"icon-columns"},"uniqElKey":"el_1559187753426"},{"index":7,"element":"select","attributes":{"name":"dropdown_1","value":"","id":"","class":""},"settings":{"label":"Reproducibility","admin_field_label":"Reproducibility","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"I  didn\'t try":"I  didn\'t try","Rarely":"Rarely","Sometimes":"Sometimes","Always":"Always"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559113160537"},{"index":7,"element":"select","attributes":{"name":"dropdown_3","value":"","id":"","class":""},"settings":{"label":"Classification of Bug","admin_field_label":"Classification of Bug","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Security":"Security","Crash \/Hang \/Data loss":"Crash \/Hang \/Data loss","Performance \/Ui-Usability":"Performance \/Ui-Usability","Serious Bug":"Serious Bug","Other Bug":"Other Bug","Feature (New)":"Feature (New)","Enhancement":"Enhancement"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559113361150"},{"index":7,"element":"select","attributes":{"name":"dropdown_2","value":"","id":"","class":""},"settings":{"label":"How severe it is?","admin_field_label":"How severe it is?","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Trivial":"Trivial","Normal":"Normal","Major":"Major","Critical":"Critical"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559113271926"}],"submitButton":{"uniqElKey":"el_1559112849800","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"orange","container_class":"","help_message":"","background_color":"#E6A23C","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Bug Report","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Bug Report Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"New Bug Reported","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'polling_form'               => array(
                'screenshot' => App::publicUrl('img/forms/polling_form.png'),
                'createable' => true,
                'title'      => 'Polling Form',
                'brief'      => 'A sample polling form to get user opinion from your scheduled time.',
                'json'       => '[{"id":"14","title":"Polling Form","form":{"fields":[{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Full Name","conditional_logics":[]},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Full Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559116201333"},{"index":1,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Email","label_placement":"","help_message":"","admin_field_label":"Email","validation_rules":{"required":{"value":true,"message":"This field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email Address","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1559116203187"},{"index":9,"element":"input_checkbox","attributes":{"type":"checkbox","name":"checkbox","value":[]},"settings":{"container_class":"","label":"Which game you want to play?","admin_field_label":"Which game you want to play?","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Football":"Football","Cricket":"Cricket","Hocky":"Hocky"},"editor_options":{"title":"Check Box","icon_class":"icon-check-square-o","template":"inputCheckbox"},"uniqElKey":"el_1559116572343"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio_1","value":""},"settings":{"container_class":"","label":"Time of the match?","admin_field_label":"Time of the match?","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Morning":"Morning","Afternoon":"Afternoon","Any time":"Any time"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559116394587"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Put your suggestion  (optional)","admin_field_label":"suggestions","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559188488518"}],"submitButton":{"uniqElKey":"el_1559116097684","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"green","container_class":"","help_message":"","background_color":"#67C23A","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Your opinion","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Polling Form Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Polling Form","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'tell_a_friend_form'         => array(
                'screenshot' => App::publicUrl('img/forms/tell_a_friend_form.png'),
                'createable' => true,
                'title'      => 'Tell A Friend Form',
                'brief'      => 'Get text from you site users.',
                'json'       => '[{"id":"15","title":"Tell A Friend Form","form":{"fields":[{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Name","conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559117552587"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"To","label_placement":"","admin_field_label":"To","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559117572857"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Message","admin_field_label":"Message","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559117587626"}],"submitButton":{"uniqElKey":"el_1559117545661","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"center","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Send Message","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Tell A Friend Form Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Text submitted","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'directory_information_form' => array(
                'screenshot' => App::publicUrl('img/forms/my_directory_information.png'),
                'createable' => true,
                'title'      => 'Directory Information Form',
                'brief'      => 'This form allows you to get the directory informations.',
                'json'       => '[{"id":"16","title":"My Directory Information","form":{"fields":[{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Name","conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559117767222"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Username","label_placement":"","admin_field_label":"Username","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559117793585"},{"index":11,"element":"input_url","attributes":{"type":"url","name":"url","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Site Address","admin_field_label":"Address","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"url":{"value":true,"message":"This field must contain a valid url"}},"conditional_logics":[]},"editor_options":{"title":"Website URL","icon_class":"icon-link","template":"inputText"},"uniqElKey":"el_1559117830376"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio","value":"no"},"settings":{"container_class":"","label":"Do you want to share your password?","admin_field_label":"Agree to share password","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"options":{"yes":"Yes","no":"No"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559188732753"},{"index":12,"element":"input_password","attributes":{"type":"password","name":"password","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Enter your password","admin_field_label":"password","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":{"type":"any","status":true,"conditions":[{"field":"input_radio","value":"yes","operator":"="}]}},"editor_options":{"title":"Password Field","icon_class":"icon-lock","template":"inputText"},"uniqElKey":"el_1559188774833"}],"submitButton":{"uniqElKey":"el_1559117761747","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Informations","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Directory Information Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Directory Information submited","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'request_for_leave'          => array(
                'screenshot' => App::publicUrl('img/forms/request_for_leave.png'),
                'createable' => true,
                'title'      => 'Request for Leave',
                'brief'      => 'Receive leave requests from your employee instantly.',
                'json'       => '[{"id":"18","title":"Request for Leave","form":{"fields":[{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Name","conditional_logics":[]},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559119229242"},{"index":1,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Email address(optional)","label_placement":"","help_message":"","admin_field_label":"Email address","validation_rules":{"required":{"value":false,"message":"This field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email Address","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1559189778769"},{"index":6,"element":"input_number","attributes":{"type":"number","name":"numeric-field","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Contact no.","admin_field_label":"Contact no.","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":[]},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1559275288135"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Position","label_placement":"","admin_field_label":"Position","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559119248104"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_1","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Manager","label_placement":"","admin_field_label":"Manager","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559119277903"},{"index":13,"element":"input_date","attributes":{"type":"text","name":"datetime","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Leave Start ","admin_field_label":"Leave Start ","label_placement":"","date_format":"d\/m\/Y","help_message":"","is_time_enabled":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Time & Date","icon_class":"icon-calendar-o","template":"inputText"},"uniqElKey":"el_1559119287246"},{"index":13,"element":"input_date","attributes":{"type":"text","name":"datetime_1","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Leave End","admin_field_label":"Leave End","label_placement":"","date_format":"d\/m\/Y","help_message":"","is_time_enabled":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Time & Date","icon_class":"icon-calendar-o","template":"inputText"},"uniqElKey":"el_1559119907871"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio","value":""},"settings":{"container_class":"","label":"Leave Type ","admin_field_label":"Leave Type ","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Vacation":"Vacation","Sick":"Sick","Quitting":"Quitting","Maternity\/Paternity":"Maternity\/Paternity","Other":"Other"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559119926213"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Comments","admin_field_label":"Comments","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559119977368"}],"submitButton":{"uniqElKey":"el_1559119222045","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Apply For Leave","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Request for Leave Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"New Request for Leave","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'admission_form'             => array(
                'screenshot' => App::publicUrl('img/forms/admissions_form.png'),
                'createable' => true,
                'is_pro'     => true,
                'title'      => 'Admissions Form (Pro)',
                'brief'      => 'Receive new admission students data along with their documents using this sample admission form.',
                'json'       => '[{"id":"5","title":"Admissions Form (Pro)","form":{"fields":[{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Name","conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559108914252"},{"index":1,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Email","label_placement":"","help_message":"","admin_field_label":"Email","validation_rules":{"required":{"value":false,"message":"This field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email Address","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1559116838095"},{"index":13,"element":"input_date","attributes":{"type":"text","name":"datetime","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Birth Date","admin_field_label":"","label_placement":"","date_format":"n\/j\/y","help_message":"","is_time_enabled":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Time & Date","icon_class":"icon-calendar-o","template":"inputText"},"uniqElKey":"el_1559108940886"},{"index":9,"element":"input_checkbox","attributes":{"type":"checkbox","name":"checkbox","value":[]},"settings":{"container_class":"","label":"Gender","admin_field_label":"","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"options":{"Male":"Male","Female":"Female","Others":"Others"},"editor_options":{"title":"Check Box","icon_class":"icon-check-square-o","template":"inputCheckbox"},"uniqElKey":"el_1559109018303"},{"index":7,"element":"select","attributes":{"name":"dropdown","value":"","id":"","class":""},"settings":{"label":"Select section","admin_field_label":"","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Section - A":"Section - A","Section - B":"Section - B","Section - C":"Section - C"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559109122333"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio","value":""},"settings":{"container_class":"","label":"Apply for Class","admin_field_label":"Apply for Class","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"O level":"O level","A level":"A level"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559116799977"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Guardian Name","label_placement":"","admin_field_label":"Guardian Name","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559116859101"},{"index":6,"element":"input_number","attributes":{"type":"number","name":"numeric-field","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Guardian Contact no.","admin_field_label":"Guardian Contact no.","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":[]},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1559116996267"},{"index":15,"element":"input_image","attributes":{"type":"file","name":"image-upload","value":"","id":"","class":"","accept":"image\/*"},"settings":{"container_class":"","label":"Upload Your photo","admin_field_label":"","label_placement":"left","btn_text":"Choose File","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"max_file_size":{"value":1048576,"_valueFrom":"MB","message":"Maximum file size limit"},"max_file_count":{"value":1,"message":"Max file count"},"allowed_image_types":{"value":["jpg|jpeg","png"],"message":"Allowed image size does not match"}},"conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"editor_options":{"title":"Image Upload","icon_class":"icon-picture-o","template":"inputFile"},"uniqElKey":"el_1559117075053"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Comments (optional)","admin_field_label":"Comments(optional)","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559275440101"}],"submitButton":{"uniqElKey":"el_1559108903621","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"right","button_style":"green","container_class":"","help_message":"","background_color":"#67C23A","button_size":"lg","color":"#ffffff","button_ui":{"type":"default","text":"Apply for Admission","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Admissions Form Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"New Admissions Form submited","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'loan_application_form'      => array(
                'screenshot' => App::publicUrl('img/forms/loan_application.png'),
                'createable' => true,
                'title'      => 'Loan Application Form (Pro)',
                'is_pro'     => true,
                'brief'      => 'Get loan application from applicants with their detail information.',
                'json'       => '[{"id":"8","title":"Loan Application (Pro)","form":{"fields":[{"index":1,"element":"section_break","attributes":{"id":"","class":""},"settings":{"label":"Personal Information","description":"","align":"left","conditional_logics":[]},"editor_options":{"title":"Section Break","icon_class":"icon-puzzle-piece","template":"sectionBreak"},"uniqElKey":"el_1559207413587"},{"index":7,"element":"select","attributes":{"name":"dropdown","value":"","id":"","class":""},"settings":{"label":"Title","admin_field_label":"Title","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Mr":"Mr","Mrs":"Mrs","Ms":"Ms"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559110533621"},{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Name","conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559110355217"},{"index":13,"element":"input_date","attributes":{"type":"text","name":"datetime","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Birth Date","admin_field_label":"Birth Date","label_placement":"","date_format":"d.m.Y","help_message":"","is_time_enabled":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"editor_options":{"title":"Time & Date","icon_class":"icon-calendar-o","template":"inputText"},"uniqElKey":"el_1559110597665"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio","value":""},"settings":{"container_class":"","label":"Marital Status","admin_field_label":"Marital Status","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Single":"Single","Married":"Married","Other":"Other"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559110647827"},{"index":1,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Email","label_placement":"","help_message":"","admin_field_label":"Applicant Email","validation_rules":{"required":{"value":true,"message":"This field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email Address","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1559110700355"},{"index":6,"element":"input_number","attributes":{"type":"number","name":"numeric-field","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Phone no.","admin_field_label":"Phone no.","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":[]},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1559110739318"},{"index":4,"element":"address","attributes":{"id":"","class":"","name":"address1","data-type":"address-element"},"settings":{"label":"Address","admin_field_label":"","conditional_logics":[]},"fields":{"address_line_1":{"element":"input_text","attributes":{"type":"text","name":"address_line_1","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Address Line 1","admin_field_label":"","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"address_line_2":{"element":"input_text","attributes":{"type":"text","name":"address_line_2","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Address Line 2","admin_field_label":"","help_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"city":{"element":"input_text","attributes":{"type":"text","name":"city","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"City","admin_field_label":"","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"state":{"element":"input_text","attributes":{"type":"text","name":"state","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"State","admin_field_label":"","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"zip":{"element":"input_text","attributes":{"type":"text","name":"zip","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Zip Code","admin_field_label":"","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"country":{"element":"select_country","attributes":{"name":"country","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Country","admin_field_label":"","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"country_list":{"active_list":"all","visible_list":[],"hidden_list":[]},"conditional_logics":[]},"options":{"BD":"Bangladesh","US":"US of America"},"editor_options":{"title":"Country List","element":"country-list","icon_class":"icon-text-width","template":"selectCountry"}}},"editor_options":{"title":"Address Fields","element":"address-fields","icon_class":"icon-credit-card","template":"addressFields"},"uniqElKey":"el_1559110782924"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio_1","value":""},"settings":{"container_class":"","label":"How long have you lived in your given address? ","admin_field_label":"Lived in this address (years)","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"0-1 years":"0-1 years","1-2 years":"1-2 years","2-3 years":"2-3 years","3-4 years":"3-4 years","5+ years":"5+ years"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559110849005"},{"index":7,"element":"form_step","attributes":{"id":"","class":""},"settings":{"prev_btn":{"type":"default","text":"Previous","img_url":""},"next_btn":{"type":"default","text":"Next","img_url":""}},"editor_options":{"title":"Form Step","icon_class":"icon-step-forward","template":"formStep"},"uniqElKey":"el_1559207478467"},{"index":1,"element":"section_break","attributes":{"id":"","class":""},"settings":{"label":"Employment Information","description":"Put Your Employment Information bellow,\nPlease fill all the required.","align":"center","conditional_logics":[]},"editor_options":{"title":"Section Break","icon_class":"icon-puzzle-piece","template":"sectionBreak"},"uniqElKey":"el_1559110949366"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Present Employer ","label_placement":"","admin_field_label":"Present Employer ","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559111023883"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_1","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Occupation","label_placement":"","admin_field_label":"Occupation","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559111049075"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio_2","value":""},"settings":{"container_class":"","label":"Experience of work (years)","admin_field_label":"Experience of work (years)","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"0-1 years":"0-1 years","1-2 years":"1-2 years","2-3 years":"2-3 years","3-4 years":"3-4 years","5+ years":"5+ years"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559111110100"},{"index":6,"element":"input_number","attributes":{"type":"number","name":"numeric-field_1","value":"","id":"","class":"","placeholder":"Ex 15000"},"settings":{"container_class":"","label":"Gross monthly income ","admin_field_label":"Gross monthly income ","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":[]},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1559111169812"},{"index":6,"element":"input_number","attributes":{"type":"number","name":"numeric-field_2","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Monthly rent\/mortgage","admin_field_label":"Monthly rent\/mortgage","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":[]},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1559111225701"},{"index":6,"element":"input_number","attributes":{"type":"number","name":"numeric-field_3","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Down Payment Amount","admin_field_label":"Down Payment Amount","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":[]},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1559111277768"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"Put your comments here (optional)","rows":4,"cols":2},"settings":{"container_class":"","label":"Comments","admin_field_label":"Comments","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559111302333"},{"index":5,"element":"terms_and_condition","attributes":{"type":"checkbox","name":"terms-n-condition","value":false,"class":""},"settings":{"tnc_html":"I have read and agree to the <a href=\"#\">Terms and Conditions<\/a> and <a href=\"#\">Privacy Policy<\/a>","has_checkbox":true,"admin_field_label":"Terms and Conditions","container_class":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Terms & Conditions","icon_class":"icon-check-square-o","template":"termsCheckbox"},"uniqElKey":"el_1559111347132"}],"submitButton":{"uniqElKey":"el_1559110346631","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Form","img_url":""}},"editor_options":{"title":"Submit Button"}},"stepsWrapper":{"stepStart":{"element":"step_start","attributes":{"id":"","class":""},"settings":{"progress_indicator":"","step_titles":[]},"editor_options":{"title":"Start Paging"}},"stepEnd":{"element":"step_end","attributes":{"id":"","class":""},"settings":{"prev_btn":{"type":"default","text":"Previous","img_url":""}},"editor_options":{"title":"End Paging"}}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Loan Application Form Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Loan Application Form submited","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'job_listing_form'           => array(
                'screenshot' => App::publicUrl('img/forms/job_listing.png'),
                'createable' => true,
                'title'      => 'Job Listing Form (Pro)',
                'is_pro'     => true,
                'brief'      => 'Get application and uploaded resume from online applicants.',
                'json'       => '[{"id":"17","title":"Job Listing Form (Pro)","form":{"fields":[{"index":1,"element":"section_break","attributes":{"id":"","class":""},"settings":{"label":"Personal informations","description":"","align":"left","conditional_logics":[]},"editor_options":{"title":"Section Break","icon_class":"icon-puzzle-piece","template":"sectionBreak"},"uniqElKey":"el_1559205807740"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Company Name","label_placement":"","admin_field_label":"Company Name","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559118283900"},{"index":7,"element":"select","attributes":{"name":"dropdown","value":"","id":"","class":""},"settings":{"label":"Salutation","admin_field_label":"Salutation","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"options":{"Mr":"Mr","Mrs":"Mrs","Miss":"Miss","Ms.":"Ms.","Dr.":"Dr.","Prof.":"Prof."},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559118312135"},{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Name","conditional_logics":[]},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"First Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559118403552"},{"index":1,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Email address","label_placement":"","help_message":"","admin_field_label":"Email address","validation_rules":{"required":{"value":false,"message":"This field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email Address","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1559205920436"},{"index":5,"element":"terms_and_condition","attributes":{"type":"checkbox","name":"terms-n-condition","value":false,"class":""},"settings":{"tnc_html":"Agree to show contact information in public posting (optional)","has_checkbox":true,"admin_field_label":"Terms and Conditions","container_class":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Terms & Conditions","icon_class":"icon-check-square-o","template":"termsCheckbox"},"uniqElKey":"el_1559118426293"},{"index":7,"element":"form_step","attributes":{"id":"","class":""},"settings":{"prev_btn":{"type":"default","text":"Previous","img_url":""},"next_btn":{"type":"default","text":"Next","img_url":""}},"editor_options":{"title":"Form Step","icon_class":"icon-step-forward","template":"formStep"},"uniqElKey":"el_1559189413198"},{"index":1,"element":"section_break","attributes":{"id":"","class":""},"settings":{"label":"Information of your Position ","description":"","align":"left","conditional_logics":[]},"editor_options":{"title":"Section Break","icon_class":"icon-puzzle-piece","template":"sectionBreak"},"uniqElKey":"el_1559118465186"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_1","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Company Name","label_placement":"","admin_field_label":"Company Name","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559118495931"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_2","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Department \/ Division","label_placement":"","admin_field_label":"Department \/ Division","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559118508878"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_3","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Position Title","label_placement":"","admin_field_label":"Position Title","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559118527032"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_4","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Reference Number","label_placement":"","admin_field_label":"Reference Number","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559118539776"},{"index":11,"element":"input_url","attributes":{"type":"url","name":"url","value":"","class":"","placeholder":"ex. http:\/\/www.example.com\/"},"settings":{"container_class":"","label":"Job Posting Url","admin_field_label":"Job Posting Url","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"},"url":{"value":true,"message":"This field must contain a valid url"}},"conditional_logics":[]},"editor_options":{"title":"Website URL","icon_class":"icon-link","template":"inputText"},"uniqElKey":"el_1559118552911"},{"index":2,"element":"input_text","attributes":{"type":"text","name":"input_text_5","value":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Salary Details","label_placement":"","admin_field_label":"Salary Details","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Simple Text","icon_class":"icon-text-width","template":"inputText"},"uniqElKey":"el_1559118570345"},{"index":5,"element":"terms_and_condition","attributes":{"type":"checkbox","name":"terms-n-condition_1","value":false,"class":""},"settings":{"tnc_html":"Salary Negotiable","has_checkbox":true,"admin_field_label":"Salary Negotiable","container_class":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"editor_options":{"title":"Terms & Conditions","icon_class":"icon-check-square-o","template":"termsCheckbox"},"uniqElKey":"el_1559118595891"},{"index":7,"element":"select","attributes":{"name":"dropdown_1","value":"","id":"","class":""},"settings":{"label":"Type of Employment","admin_field_label":"Type of Employment","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"options":{"Full time":"Full time","Part time":"Part time"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559118624957"},{"index":7,"element":"select","attributes":{"name":"dropdown_2","value":"","id":"","class":""},"settings":{"label":"Type of Contract","admin_field_label":"","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"options":{"permanent":"permanent","Term\/Contract":"Term\/Contract","Locum":"Locum"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559118667887"},{"index":7,"element":"select","attributes":{"name":"dropdown_3","value":"","id":"","class":""},"settings":{"label":"Type Of the Position","admin_field_label":"Type Of the Position","help_message":"","container_class":"","label_placement":"","placeholder":"- Select -","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"options":{"Academic":"Academic","Administrative":"Administrative","Obstetrics":"Obstetrics","Gynaecology":"Gynaecology","Obstetrics\/Gynaecology":"Obstetrics\/Gynaecology","Other":"Other"},"editor_options":{"title":"Dropdown","icon_class":"icon-caret-square-o-down","element":"select","template":"select"},"uniqElKey":"el_1559118729498"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Job Summary","admin_field_label":"Job Summary","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559118826214"},{"index":3,"element":"textarea","attributes":{"name":"description_1","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Roles and Responsibilities","admin_field_label":"Roles and Responsibilities","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559118841680"},{"index":3,"element":"textarea","attributes":{"name":"description_2","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Skills and Competencies","admin_field_label":"Skills and Competencies","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559118857624"},{"index":3,"element":"textarea","attributes":{"name":"description_3","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Education and Experience","admin_field_label":"Education and Experience","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559118873772"},{"index":3,"element":"textarea","attributes":{"name":"description_4","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Other","admin_field_label":"Other","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559118895131"},{"index":14,"element":"input_file","attributes":{"type":"file","name":"file-upload","value":"","id":"","class":""},"settings":{"container_class":"","label":"Upload your Cv","admin_field_label":"CV","label_placement":"right","btn_text":"Choose File","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"},"max_file_size":{"value":5242880,"_valueFrom":"MB","message":"Maximum file size limit"},"max_file_count":{"value":"-1","message":"Max file count"},"allowed_file_types":{"value":["pdf"],"message":"allowed_file_types"}},"conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"editor_options":{"title":"File Upload","icon_class":"icon-upload","template":"inputFile"},"uniqElKey":"el_1559282340628"},{"index":13,"element":"input_date","attributes":{"type":"text","name":"datetime","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Start Date of Employment","admin_field_label":"Start Date of Employment","label_placement":"","date_format":"M\/d\/Y","help_message":"","is_time_enabled":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Time & Date","icon_class":"icon-calendar-o","template":"inputText"},"uniqElKey":"el_1559118920295"},{"index":13,"element":"input_date","attributes":{"type":"text","name":"datetime_1","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Application Deadline","admin_field_label":"Application Deadline","label_placement":"","date_format":"M\/d\/Y","help_message":"","is_time_enabled":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Time & Date","icon_class":"icon-calendar-o","template":"inputText"},"uniqElKey":"el_1559118959353"},{"index":7,"element":"form_step","attributes":{"id":"","class":""},"settings":{"prev_btn":{"type":"default","text":"Previous","img_url":""},"next_btn":{"type":"default","text":"Next","img_url":""}},"editor_options":{"title":"Form Step","icon_class":"icon-step-forward","template":"formStep"},"uniqElKey":"el_1559189453510"},{"index":1,"element":"section_break","attributes":{"id":"","class":""},"settings":{"label":"Payment Information","description":"","align":"left","conditional_logics":[]},"editor_options":{"title":"Section Break","icon_class":"icon-puzzle-piece","template":"sectionBreak"},"uniqElKey":"el_1559118987496"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio","value":""},"settings":{"container_class":"","label":"Salary Amount","admin_field_label":"Salary Amount","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"options":{" $ 400.00 - 1 Month Posting Duration":" $ 400.00 - 1 Month Posting Duration","$ 600.00 - 2 Month Posting Duration":"$ 600.00 - 2 Month Posting Duration"," $ 900.00 - 3 Month Posting Duration":" $ 900.00 - 3 Month Posting Duration","other":"other"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559119006582"},{"index":6,"element":"input_number","attributes":{"type":"number","name":"numeric-field","value":"","id":"","class":"","placeholder":"Ex. 1000 "},"settings":{"container_class":"","label":"salary amount ($)","admin_field_label":"salary amount","label_placement":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"},"numeric":{"value":true,"message":"This field must contain numeric value"},"min":{"value":"","message":"Minimum value is "},"max":{"value":"","message":"Maximum value is "}},"conditional_logics":{"type":"any","status":true,"conditions":[{"field":"input_radio","value":"other","operator":"="}]}},"editor_options":{"title":"Numeric Field","icon_class":"icon-slack","template":"inputText"},"uniqElKey":"el_1559189169554"}],"submitButton":{"uniqElKey":"el_1559118268163","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Submit Form","img_url":""}},"editor_options":{"title":"Submit Button"}},"stepsWrapper":{"stepStart":{"element":"step_start","attributes":{"id":"","class":""},"settings":{"progress_indicator":"","step_titles":[]},"editor_options":{"title":"Start Paging"}},"stepEnd":{"element":"step_end","attributes":{"id":"","class":""},"settings":{"prev_btn":{"type":"default","text":"Previous","img_url":""}},"editor_options":{"title":"End Paging"}}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Job Listing Form Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Job Listing Form submission","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'website_feedback'           => array(
                'screenshot' => App::publicUrl('img/forms/website_feedback.png'),
                'createable' => true,
                'title'      => 'Website Feedback (Pro)',
                'is_pro'     => true,
                'brief'      => 'To make effective for your site users, you may get the feedback and suggestions using this sample form.',
                'json'       => '[{"id":"12","title":"Website Feedback (Pro)","form":{"fields":[{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Full Name","conditional_logics":{"type":"any","status":false,"conditions":[{"field":"","value":"","operator":""}]}},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Enter Your Full Name","help_message":"","visible":true,"validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559114141631"},{"index":1,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Your Email address","label_placement":"","help_message":"","admin_field_label":"Email","validation_rules":{"required":{"value":true,"message":"This field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email Address","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1559114139212"},{"index":8,"element":"input_radio","attributes":{"type":"radio","name":"input_radio","value":""},"settings":{"container_class":"","label":"Is this the first time you have visited the website?","admin_field_label":"Is this the first time you have visited the website?","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"yes":"Yes","no":"No"},"editor_options":{"title":"Radio Button","icon_class":"icon-dot-circle-o","element":"input-radio","template":"inputRadio"},"uniqElKey":"el_1559114154264"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"What is the PRIMARY reason you came to the site?","admin_field_label":"What is the PRIMARY reason you came to the site?","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559114186791"},{"index":9,"element":"input_checkbox","attributes":{"type":"checkbox","name":"checkbox","value":[]},"settings":{"container_class":"","label":"Did you find what you needed?","admin_field_label":"Did you find what you needed?","label_placement":"","display_type":"","help_message":"","validation_rules":{"required":{"value":true,"message":"This field is required"}},"conditional_logics":[]},"options":{"Yes, all of it":"Yes, all of it","Yes, some of it":"Yes, some of it","No, none of it":"No, none of it"},"editor_options":{"title":"Check Box","icon_class":"icon-check-square-o","template":"inputCheckbox"},"uniqElKey":"el_1559114208705"},{"index":8,"element":"ratings","attributes":{"class":"","value":0,"name":"ratings"},"settings":{"label":"User Friendlyness","show_text":false,"help_message":"","label_placement":"","admin_field_label":"User Friendlyness","container_class":"","conditional_logics":[],"validation_rules":{"required":{"value":true,"message":"This field is required"}}},"options":{"1":"Nice","2":"Good","3":"Very Good","4":"Awesome","5":"Amazing"},"editor_options":{"title":"Ratings","icon_class":"icon-eye-slash","template":"ratings"},"uniqElKey":"el_1559114515484"}],"submitButton":{"uniqElKey":"el_1559114078404","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"default","container_class":"","help_message":"","background_color":"#409EFF","button_size":"md","color":"#ffffff","button_ui":{"type":"default","text":"Send your feedback","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":" Website Feedback Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Website Feedback","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
            'comment_rating_form'        => array(
                'screenshot' => App::publicUrl('img/forms/comment_rating.png'),
                'createable' => true,
                'title'      => 'Comment & Rating Form (Pro)',
                'is_pro'     => true,
                'brief'      => 'Get user ratings and feedback instantly.',
                'json'       => '[{"id":"13","title":"Comment & Rating (Pro)","form":{"fields":[{"index":8,"element":"ratings","attributes":{"class":"","value":0,"name":"ratings"},"settings":{"label":"Your Ratings","show_text":false,"help_message":"","label_placement":"","admin_field_label":"","container_class":"","conditional_logics":[],"validation_rules":{"required":{"value":true,"message":"This field is required"}}},"options":{"1":"Nice","2":"Good","3":"Very Good","4":"Awesome","5":"Amazing"},"editor_options":{"title":"Ratings","icon_class":"icon-eye-slash","template":"ratings"},"uniqElKey":"el_1559114708603"},{"index":0,"element":"input_name","attributes":{"name":"names","data-type":"name-element"},"settings":{"container_class":"","admin_field_label":"Name","conditional_logics":[]},"fields":{"first_name":{"element":"input_text","attributes":{"type":"text","name":"first_name","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Your Name (optional)","help_message":"","visible":true,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"middle_name":{"element":"input_text","attributes":{"type":"text","name":"middle_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Middle Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}},"last_name":{"element":"input_text","attributes":{"type":"text","name":"last_name","value":"","id":"","class":"","placeholder":"","required":false},"settings":{"container_class":"","label":"Last Name","help_message":"","error_message":"","visible":false,"validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"template":"inputText"}}},"editor_options":{"title":"Name Fields","element":"name-fields","icon_class":"icon-user","template":"nameFields"},"uniqElKey":"el_1559114691660"},{"index":1,"element":"input_email","attributes":{"type":"email","name":"email","value":"","id":"","class":"","placeholder":""},"settings":{"container_class":"","label":"Email address (optional)","label_placement":"","help_message":"","admin_field_label":"","validation_rules":{"required":{"value":false,"message":"This field is required"},"email":{"value":true,"message":"This field must contain a valid email"}},"conditional_logics":[]},"editor_options":{"title":"Email Address","icon_class":"icon-envelope-o","template":"inputText"},"uniqElKey":"el_1559188418772"},{"index":3,"element":"textarea","attributes":{"name":"description","value":"","id":"","class":"","placeholder":"","rows":4,"cols":2},"settings":{"container_class":"","label":"Comments","admin_field_label":"Comments","label_placement":"","help_message":"","validation_rules":{"required":{"value":false,"message":"This field is required"}},"conditional_logics":[]},"editor_options":{"title":"Text Area","icon_class":"icon-paragraph","template":"inputTextarea"},"uniqElKey":"el_1559114740479"}],"submitButton":{"uniqElKey":"el_1559114683138","element":"button","attributes":{"type":"submit","class":""},"settings":{"align":"left","button_style":"green","container_class":"","help_message":"","background_color":"#67C23A","button_size":"lg","color":"#ffffff","button_ui":{"type":"default","text":"Submit Ratings","img_url":""}},"editor_options":{"title":"Submit Button"}}},"formSettings":{"confirmation":{"redirectTo":"samePage","messageToShow":"Thank you for your message. We will get in touch with you shortly","customPage":null,"samePageFormBehavior":"hide_form","customUrl":null},"restrictions":{"limitNumberOfEntries":{"enabled":false,"numberOfEntries":null,"period":"total","limitReachedMsg":null},"scheduleForm":{"enabled":false,"start":null,"end":null,"pendingMsg":"Form submission is not started yet.","expiredMsg":"Form submission is now closed."},"requireLogin":{"enabled":false,"requireLoginMsg":null},"denyEmptySubmission":{"enabled":false,"message":"Sorry, you cannot submit an empty form. Let\'s hear what you wanna say."}},"layout":{"labelPlacement":"top","helpMessagePlacement":"with_label","errorMessagePlacement":"inline","cssClassName":""}},"notifications":{"name":"Comment & Rating Form Notification","sendTo":{"type":"email","email":"{wp.admin_email}","field":null,"routing":[{"email":null,"field":null,"operator":"=","value":null}]},"fromName":"","fromEmail":"","replyTo":"","bcc":"","subject":"Comment & Rating ","message":"<p>{all_data}<\/p>","conditionals":{"status":false,"type":"all","conditions":[{"field":null,"operator":"=","value":null}]},"enabled":false,"email_template":""}}]'
            ),
        );
    }

    /**
     * Fetch simplified information for all predefined forms
     */
    public function all()
    {
        if (!App\Modules\Acl\Acl::hasAnyFormPermission()) {
            return [];
        }
        $data = array();
        foreach ($this->getPredefinedForms() as $key => $item) {
            $jsonArray = json_decode($item['json'], true);
            $jsonArray = $jsonArray[0];

            $data[$key] = array(
                'brief'      => $item['brief'],
                'is_pro'     => ArrayHelper::get($item, 'is_pro'),
                'title'      => $jsonArray['title'],
                'buy_url'    => 'https://wpfluentform.com/pro',
                'screenshot' => $item['screenshot'],
                'createable' => $item['createable'],
            );
        }
        $data = apply_filters('fluentform_predefined_forms', $data);
        wp_send_json($data, 200);
    }

    /**
     * Create a predefined form
     * @param $name
     */
    public function create()
    {
        $predefined = $this->request->get('predefined');

        $predefinedForm = ArrayHelper::get($this->getPredefinedForms(), $predefined);

        if ($predefinedForm) {
            $predefinedForm = json_decode($predefinedForm['json'], true)[0];

            $this->request->merge(['title' => $predefinedForm['title']]);

            $this->formFields = json_encode($predefinedForm['form']);

            $this->defaultSettings = $predefinedForm['formSettings'];

            if (isset($predefinedForm['notifications'])) {
                $this->defaultNotifications = $predefinedForm['notifications'];
            }

            $this->store();
        }

        wp_send_json_error([
            'message' => __("The selected template couldn't be found.", 'fluentform')
        ], 422);
    }
}

